Changeset 9106:50bf3f0278c3 in orange


Ignore:
Timestamp:
10/13/11 15:24:04 (3 years ago)
Author:
ales_erjavec <ales.erjavec@…>
Branch:
default
Convert:
4f51843067f8c295db77a4a195d2a73f269d00d3
Message:

Updated the BUILDING instructions.

File:
1 edited

Legend:

Unmodified
Added
Removed
  • source/BUILDING

    r5507 r9106  
    1 To compile Orange, you need Python 2.2 or later. You don't 
     1To compile Orange, you need Python 2.5 or later. You don't 
    22need Python sources, except for the header and library files 
    33that come with the basic distribution anyway. 
     
    66See doc/reference/C45Learner.htm for instructions. 
    77 
    8 You don't need C4.5 sources to build Orange on Linux and 
    9 Mac OS X (as was the case with previous versions of Orange). 
    10  
    118Please report any problems to janez.demsar@fri.uni-lj.si. 
    129 
    1310 
    14 Compiling instructions for MSVC 6.0 
     11Compiling instructions for MSVC 2008 
    1512----------------------------------- 
    1613 
    17 Although the provided project files are for MS VC 6.0, Orange 
    18 can (in principle; we are not regularly checking it) also be 
    19 compiled by MS VC .Net - just let it import and convert the files. 
     14The provided project files are for MS VC 2008. 
    2015 
    21161.  Set the environment variable PYTHON to Python's root (e.g. 
    22     c:\python23). This is used for finding include files and libraries. 
     17    C:\Python27). This is used for finding include files and libraries. 
    2318 
    24 2.  The workspace file is in subdirectory source. Open it and 
     192.  The VS Solution file is in subdirectory source. Open it and 
    2520    compile. Note that if you want to compile a debug version of 
    2621    Orange, you'll need to have the debug version of Python as 
    27     well (python23_d.lib, python23_d.dll etc). See file 
     22    well (python27_d.lib, python27_d.dll etc). See file 
    2823    debugging_orange.txt if you need a hint on that. 
    2924 
     
    3732-------------------------------- 
    3833 
    39 To compile orange, you'll need a newer gcc (version 3.2 works; 
     34To compile orange, you'll need a newer gcc (version 4.0 works; 
    4035we are not sure about older compilers). 
    4136 
     
    7570   modules are using are correct. If not, use 'install_name_tool' 
    7671   to correct them. 
     72    
     73    
     74Linking with external libraries on Linux and Mac OSX 
     75---------------------------------------------------- 
     76  
     77Pass the library names to make on the command line or through 
     78env. variables (you can also just edit the Makefile). 
     79Example: 
     80 
     81    make BLAS_LIB=atlas 
     82 
     83See the Makefile for more information. 
     84 
     85On Windows this is unsupported. 
Note: See TracChangeset for help on using the changeset viewer.